Subject: Re: cygiwn newline character
From: "Ehud Karni" <[email-masked]>
To: [email-masked]
Cc: [email-masked], [email-masked]
Date: Fri, 19 Oct 2001 20:15:13 +0200

On Fri, 19 Oct 2001 10:12:30 -0500, Wayne Willcox <[email-masked]> wrote:
> 
> Well news flash Linux and windows are not the only OS's and the fact that
> redhat changed the behaviour in 1999 is recent.  I have programs that
> are alot older then 2 years.

The Bash man page is dated May, 1995. Some of my scripts are about 9-10
years old and worked on 3 different Unices (DG/UX, IRIX and AIX) before
we moved to GNU/Linux (our only system currently). 

> I was pointing out that it is a bad idea to
> write code that you know is not portable.  Someday that bash only shell
> program you wrote just might need to be run somewhere else. 
> [snip]
> Having an option -e is okay but my systems don't always have the latest
> versions of bash in fact they might not have bash at all.  If I just use
> the -e now I have a bug.  So now you have made me check if the -e is 
> there or not if I care about portablity and want to use this feature.
> Aliases only work if you have them set and again you won't want them 
> set for all systems.  So again my point is not if this is current 
> behaviour but that it was changed for no reason and breaks compatability
> for no reasons that I have yet heard.

I don't agree with you. My scripts (single copy of each) worked for
about a year on both DG/UX and Linux. I just had different system wide
initialization for the different machines (it was single script with
case `uname -s`). I still use even though all our machines (12) are
Linux now (now I have - case `hostname`).

> BTW: I use sh because I want my scripts to work on any system that is
> required.  I only use ksh or bash when I need things like array support.
                           
You misunderstood me. ALL my scripts has "#! /bin/sh " 1st line, and I
don't use features that only bash has (i.e. $[ ]. $( ) or aliases).
The only tcsh scripts we have are sourced from .cshrc/.login/.logout
for users who use tcsh as their interactive shell.

What I mean was that on Linux /bin/sh -> bash and I do the same for
my cygwin installation.

This whole discussion is VERY OFF TOPIC here, and I will not post
on this subject.

Ehud.

-- 
 Ehud Karni     Mivtach - Simon  Insurance   /"\
 Tel: +972-3-7966-561 Fax: +972-3-7966-667   \ /  ASCII Ribbon Campaign
 (USA) Fax and  voice  mail: 1-815-5509341    X   Against  HTML  Mail
     Better     Safe     Than     Sorry      / \
     mailto:[email-masked]    http://www.simonwiesel.co.il

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/